% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/average.consensus.R
\name{average.consensus}
\alias{average.consensus}
\title{Consensus network integrated from average edge ranks}
\usage{
average.consensus(adjmatrix.list, directed = F)
}
\arguments{
\item{adjmatrix.list}{a list of inferred network matrices with same row and column ordering.}

\item{directed}{logical. If TRUE, the network is considered as directed. If FALSE, the upper triangular part of the symmetric matrix is used to calculate the rank matrix}
}
\value{
\code{average.consensus} returns a network with rank average edge ranks. The weights are rescaled to 0-1 and hihger values indicate higher ranks.
}
\description{
Consensus network is built from taking the average ranks of the edges in multiple network predictions.
}
\examples{
##create two random networks
library(RLowPC)
set.seed(4)
net1<-abs(matrix(rnorm(16),4,4))
net1<-pmax(net1,t(net1))
diag(net1)<-0
set.seed(5)
net2<-abs(matrix(rnorm(16),4,4))
net2<-pmax(net2,t(net2))
diag(net2)<-0
dimnames(net1)<-dimnames(net2)<-list(letters[1:4],letters[1:4])
net.list<-list(net1=net1,net2=net2)
inf.consensus<-average.consensus(adjmatrix.list = net.list,directed = F)
adj2rankadj(net1)
adj2rankadj(net2)
inf.consensus
}

